<?php
// $Id$
function andreas01_regions() {
  return array(
       'left' => t('left sidebar'),
       'right' => t('right sidebar'),
       'content' => t('content'),
       'footer' => t('footer')
  );
}

function _phptemplate_variables($hook, $vars = array()) {
  if ($vars['logo'] == base_path() . path_to_theme() .'/logo.png') {
    $vars['logo'] = base_path() . path_to_theme() .'/front.jpg';
  }
  return $vars;
}

/*
function phptemplate_profile_listing($user, $fields = array()) {
return _phptemplate_callback('profile_listing', array('user' => $user, 'fields' => $fields));
  }
*/

function andreas01_profile_listing($account, $fields = array()) {

  $output  = "<div class=\"profile clearfix\">\n";
  $output .= theme('user_picture', $account);
  $output .= ' <div class="name">'. theme('username', $account) ."</div>\n";

  foreach ($fields as $field) {
    if ($field->value) {
      $output .= " <div class=\"field\">$field->value</div>\n";
    }
  }

  $output .= "</div>\n";

  return $output;
}

function phptemplate_menu_tree($pid = 1) {
  if ($tree = menu_tree($pid)) {
    if ($pid == 1) {
	  $output .= "\n<div id=\"menu-tree\">\n";
	};
    $output .= "\n<ul>\n";
    if (function_exists('base_path')) {
      $base_path = base_path();
    }
    $url = url('<front>');
    if ($pid == 1) {
      $output .= "<li><a href=\"" . $url . "\">" . t("home") . "</a></li>";
    };
    $output .= $tree;
    $output .= "\n</ul>\n";
    if ($pid == 1) {
      $output .= "\n</div>\n";
	};
    return $output;
  }
}

function phptemplate_system_themes($form) {
  foreach (element_children($form) as $key) {
    $row = array();
    if (is_array($form[$key]['description'])) {
      $row[] = form_render($form[$key]['description']) . form_render($form[$key]['screenshot']) ;
      $row[] = array('data' => form_render($form['status'][$key]), 'align' => 'center');
      if ($form['theme_default']) {
        $row[] = array('data' => form_render($form['theme_default'][$key]) . form_render($form[$key]['operations']), 'align' => 'center');
      }
    }
    $rows[] = $row;
  }
  $header = array(t('Name/Screenshot'), t('Enabled'), t('Default'));
  $output = theme('table', $header, $rows);
  $output .= form_render($form);
  return $output;
}

function phptemplate_system_user($form) {
  foreach (element_children($form) as $key) {
    $row = array();
    if (is_array($form[$key]['description'])) {
      $row[] = form_render($form[$key]['description']) . form_render($form[$key]['screenshot']);
      $row[] = array('data' => form_render($form['theme'][$key]), 'align' => 'center');
    }
    $rows[] = $row;
  }

  $header = array(t('Name/Screenshot'), t('Selected'));
  $output = theme('table', $header, $rows);
  return $output;
}
?>